Package ru.yandex.clickhouse.util.ssl

## Class NonValidatingTrustManager

- java.lang.Object
- - ru.yandex.clickhouse.util.ssl.NonValidatingTrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

    public class NonValidatingTrustManager
    extends Object
    implements X509TrustManager

An insecure `TrustManager`, that don't validate the certificate.

### Constructor Summary

Constructors
`NonValidatingTrustManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkClientTrusted​(X509Certificate[] certs, String authType)`
`void` `checkServerTrusted​(X509Certificate[] certs, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonValidatingTrustManager

    public NonValidatingTrustManager()

### Method Detail

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] certs,
                                   String authType)

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] certs,
                                   String authType)

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`